/*** high level parser utils ***/

/* Convert net_id to wirenet group; if net_id doesn't exist in curent page:
   return NULL (alloc==0) or allocate a new wirenet */
csch_cgrp_t *orcad_wirenet_lookup(io_orcad_rctx_t *rctx, long net_id, int alloc);

/* Set wn's name attribute; if already set, remember new names as alternative
   names */
void orcad_cgrp_set_name(csch_cgrp_t *wn, const char *name);

/* Change drawing area extents to width/height (origin is always at 0;0) */
void orcad_sheet_set_extents(io_orcad_rctx_t *rctx, long width, long height);
